.menu {
    &-list {
        &__wrapper {
            display: flex;
            flex-direction: column;
            padding-top: $global-padding-mobile;
            padding-bottom: $global-padding-mobile;
            align-items: center;
        }

        &__column {
            width: 100%;
            max-width: 700px;

            &:first-child {
                margin-bottom: 60px;
            }
            &:last-child {
                position: relative;
            }
        }

        &__header {
            margin-bottom: $heading-margin;
        }

        &__box {
            height: 350px;
            overflow-y:scroll;
            margin-bottom: 60px;

            &::-webkit-scrollbar {
                width: 5px;

                &-thumb {
                    background-color: $pink;
                }
            }
        }

        &__button {
            text-decoration: none;
            color: $white;
            text-transform: uppercase;
            background-color: $yellow;
            padding: 18px 28px;
            font-size: 14px;
            font-family: $alt-font-family;
            font-weight: bold;
            border-radius: 4px;
            display: block;
            text-align: center;
            width: 100%;
            max-width: 310px;
            &:hover {
                background-color: $yellow-hover;
            }
        }
    }

    &-item {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid $menu-item-border;
        &:last-child {
            border-bottom: none;
        }

        &__text {
            padding: 22px 0;
        }

        &__heading {
            font-family: $alt-font-family;
            font-weight: bold;
            color: $base-font-colour;
            font-size: 16px;
            text-transform: uppercase;
            margin: 0;
            margin-bottom: 7px;
        }

        &__subheading {
            font-family: $alt-font-family;
            color: $alt-font-color;
            font-size: 14px;
            margin: 0;
        }

        &__price {
            font-family: $base-font-family;
            font-weight: bold;
            color: $base-font-colour;
            font-size: 26px;
            margin: 0;
            padding: 15px 50px 0 0;
        }
    }

    &-special {
        max-width: 320px;
        background-color: $white;
        -webkit-box-shadow: 0px 36px 51px 0px rgba(0,0,0,0.1);
        -moz-box-shadow: 0px 36px 51px 0px rgba(0,0,0,0.1);
        box-shadow: 0px 36px 51px 0px rgba(0,0,0,0.1);
        &.small {
            position: absolute;
            right: 100px;
            top: 85px;
            z-index: -1;
            display: none;
        }

        &__image {
            &.big {
                height: 210px;
                background: url('./files/pizza.jpg') center center no-repeat;
                background-size: cover;
            }
            &.small {
                height: 172px;
                background: url('./files/pizza.2.jpg') center center no-repeat;
                background-size: cover;
            }
        }

        &__text {
            padding: 28px 38px 50px 38px;
        }

        &__heading {
            font-family: $base-font-family;
            font-weight: bold;
            font-size: 22px;
            margin: 0;
            &.big {
                color: $base-font-colour;
            }
            &.small {
                color: $hidden-item-grey;
            }
        }

        &__subheading {
            font-family: $base-font-family;
            font-weight: bold;
            font-size: 22px;
            margin: 0;
            color: $yellow;
        }
    }
}

@media screen and (min-width: $tablet){
    .menu-list__wrapper {
        padding-top: $global-padding;
        padding-bottom: $global-padding;
    }

    .menu-list__button {
        max-width: unset;
        display: inline;
    }

    .menu-special {
        width: 320px;
        &.small {
            display: block;
        }
    }
}

@media screen and (min-width: $desktop){
    .menu {
        &-list {
            &__wrapper {
                flex-direction: row;
                align-items: flex-start;
            }

            &__column {
                width: 50%;
                &:first-child {
                    margin-right: 20px;
                    margin-bottom: 0;
                }
                &:last-child {
                    margin-left: 20px;
                }
            }
        }

        &-special {
            &.small {
                right: -10px;
            }
        }
    }
}